Bug 1031170 - [abrt] NetworkManager-0.9.9.0-15.git20131003.fc20: _g_log_abort: Process /usr/sbin/NetworkManager was killed by signal 6 (SIGABRT)
[abrt] NetworkManager-0.9.9.0-15.git20131003.fc20: _g_log_abort: Process /usr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:2049b8ddef18c6b8cb7851d27e1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-15 14:09 EST by Juan Orti
Modified: 2013-11-25 22:58 EST (History)
2 users (show)

See Also:
Fixed In Version: NetworkManager-0.9.9.0-19.git20131003.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-25 22:58:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.25 KB, text/plain)
2013-11-15 14:10 EST, Juan Orti
no flags Details
File: cgroup (187 bytes, text/plain)
2013-11-15 14:10 EST, Juan Orti
no flags Details
File: core_backtrace (5.56 KB, text/plain)
2013-11-15 14:10 EST, Juan Orti
no flags Details
File: dso_list (4.22 KB, text/plain)
2013-11-15 14:10 EST, Juan Orti
no flags Details
File: environ (72 bytes, text/plain)
2013-11-15 14:10 EST, Juan Orti
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-15 14:10 EST, Juan Orti
no flags Details
File: maps (20.90 KB, text/plain)
2013-11-15 14:10 EST, Juan Orti
no flags Details
File: open_fds (2.49 KB, text/plain)
2013-11-15 14:10 EST, Juan Orti
no flags Details
File: proc_pid_status (903 bytes, text/plain)
2013-11-15 14:10 EST, Juan Orti
no flags Details
File: var_log_messages (23.41 KB, text/plain)
2013-11-15 14:10 EST, Juan Orti
no flags Details

  None (edit)
Description Juan Orti 2013-11-15 14:09:57 EST
Description of problem:
Configuring a wired connection

Version-Release number of selected component:
NetworkManager-0.9.9.0-15.git20131003.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/sbin/NetworkManager --no-daemon
crash_function: _g_log_abort
executable:     /usr/sbin/NetworkManager
kernel:         3.11.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _g_log_abort at gmessages.c:255
 #5 commit_slave_options at devices/nm-device-bridge.c:269
 #6 enslave_slave at devices/nm-device-bridge.c:298
 #7 nm_device_enslave_slave at devices/nm-device.c:943
 #8 ffi_call_unix64 at ../src/x86/unix64.S:76
 #9 ffi_call at ../src/x86/ffi64.c:522
 #10 g_cclosure_marshal_generic at gclosure.c:1454
 #14 g_signal_emit_by_name at gsignal.c:3426
 #15 nm_device_state_changed at devices/nm-device.c:6018
 #16 nm_device_activate_stage3_ip_config_start at devices/nm-device.c:3493
Comment 1 Juan Orti 2013-11-15 14:10:04 EST
Created attachment 824658 [details]
File: backtrace
Comment 2 Juan Orti 2013-11-15 14:10:07 EST
Created attachment 824659 [details]
File: cgroup
Comment 3 Juan Orti 2013-11-15 14:10:10 EST
Created attachment 824660 [details]
File: core_backtrace
Comment 4 Juan Orti 2013-11-15 14:10:14 EST
Created attachment 824661 [details]
File: dso_list
Comment 5 Juan Orti 2013-11-15 14:10:17 EST
Created attachment 824662 [details]
File: environ
Comment 6 Juan Orti 2013-11-15 14:10:20 EST
Created attachment 824663 [details]
File: limits
Comment 7 Juan Orti 2013-11-15 14:10:23 EST
Created attachment 824664 [details]
File: maps
Comment 8 Juan Orti 2013-11-15 14:10:26 EST
Created attachment 824665 [details]
File: open_fds
Comment 9 Juan Orti 2013-11-15 14:10:29 EST
Created attachment 824666 [details]
File: proc_pid_status
Comment 10 Juan Orti 2013-11-15 14:10:33 EST
Created attachment 824667 [details]
File: var_log_messages
Comment 11 Thomas Haller 2013-11-18 07:30:36 EST
Hi,

this crash is already fixed upstream by commit:

http://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=8a046bedbbf8218737d7471f949a541b35579539


On Fedora 20 currently there is not yet a updated package, but the next release will contain this fix.
Comment 12 Fedora Update System 2013-11-18 13:26:28 EST
NetworkManager-0.9.9.0-18.git20131003.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.9.0-18.git20131003.fc20
Comment 13 Fedora Update System 2013-11-19 16:44:53 EST
Package NetworkManager-0.9.9.0-18.git20131003.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.9.9.0-18.git20131003.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21682/NetworkManager-0.9.9.0-18.git20131003.fc20
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2013-11-20 09:32:09 EST
NetworkManager-0.9.9.0-19.git20131003.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.9.0-19.git20131003.fc20
Comment 15 Fedora Update System 2013-11-25 22:58:52 EST
NetworkManager-0.9.9.0-19.git20131003.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.